=== doc/CMakeLists.txt ===
add_custom_target( doc )

ADD_SUBDIRECTORY( api )
ADD_SUBDIRECTORY( manual )

set(FEELPP_INSTALL_APPS ${FEELPP_INSTALL_APPS} PARENT_SCOPE)
