=== debian/changelog ===
feel++ (0.91.0-1) unstable; urgency=low

  * New upstream release
  * using gcc4.6 allows to reduce memory usage footprint (Closes: #650642).
  * Feel++ uses now gcc4.6  (Closes: #654730).
  * Feel++ uses now gcc4.6  (Closes: #654731).
  * Feel++ uses now gcc4.6  (Closes: #654732).  

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 11 Mar 2012 23:17:00 +0100
